# ACE_POSIX_Asynch_Write_Stream_Result Class Reference

This class provides concrete implementation for <ACE_Asynch_Write_Stream::Result> on POSIX platforms. More...

`#include <POSIX_Asynch_IO.h>`

Inheritance diagram for ACE_POSIX_Asynch_Write_Stream_Result:

[legend]
Collaboration diagram for ACE_POSIX_Asynch_Write_Stream_Result:

[legend]
List of all members.

## Public Member Functions

size_t | bytes_to_write (void) const
ACE_Message_Block & | message_block (void) const
| Message block that contains the data to be written.
ACE_HANDLE | handle (void) const
| I/O handle used for writing.

## Protected Member Functions

| ACE_POSIX_Asynch_Write_Stream_Result (const ACE_Handler::Proxy_Ptr &handler_proxy, ACE_HANDLE handle, ACE_Message_Block &message_block, size_t bytes_to_write, const void *act, ACE_HANDLE event, int priority, int signal_number)
virtual void | complete (size_t bytes_transferred, int success, const void *completion_key, u_long error)
| ACE_Proactor will call this method when the write completes.
virtual | ~ACE_POSIX_Asynch_Write_Stream_Result (void)
| Destructor.

## Protected Attributes

ACE_Message_Block & | message_block_
| Message block that contains the data to be written.

## Friends

class | ACE_POSIX_Asynch_Write_Stream
| Factory classes will have special privilages.
class | ACE_POSIX_Proactor
| The Proactor constructs the Result class for faking results.

## Detailed Description

This class provides concrete implementation for <ACE_Asynch_Write_Stream::Result> on POSIX platforms.

This class has all the information necessary for the <handler> to uniquiely identify the completion of the asynchronous write.

## Constructor & Destructor Documentation

ACE_POSIX_Asynch_Write_Stream_Result::ACE_POSIX_Asynch_Write_Stream_Result | ( | const ACE_Handler::Proxy_Ptr & | handler_proxy,
|  | ACE_HANDLE | handle,
|  | ACE_Message_Block & | message_block,
|  | size_t | bytes_to_write,
|  | const void * | act,
|  | ACE_HANDLE | event,
|  | int | priority,
|  | int | signal_number
| ) | `[protected]`

| Constructor is protected since creation is limited to ACE_Asynch_Write_Stream factory.

ACE_POSIX_Asynch_Write_Stream_Result::~ACE_POSIX_Asynch_Write_Stream_Result | ( | void |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

size_t ACE_POSIX_Asynch_Write_Stream_Result::bytes_to_write | ( | void |  | ) | const`[virtual]`

| The number of bytes which were requested at the start of the asynchronous write. Implements ACE_Asynch_Write_Stream_Result_Impl.

void ACE_POSIX_Asynch_Write_Stream_Result::complete | ( | size_t | bytes_transferred,
|  | int | success,
|  | const void * | completion_key,
|  | u_long | error
| ) | `[protected, virtual]`

| ACE_Proactor will call this method when the write completes. Implements ACE_Asynch_Result_Impl. Reimplemented in ACE_POSIX_Asynch_Write_File_Result.

ACE_HANDLE ACE_POSIX_Asynch_Write_Stream_Result::handle | ( | void |  | ) | const`[virtual]`

| I/O handle used for writing. Implements ACE_Asynch_Write_Stream_Result_Impl.

ACE_Message_Block & ACE_POSIX_Asynch_Write_Stream_Result::message_block | ( | void |  | ) | const`[virtual]`

| Message block that contains the data to be written. Implements ACE_Asynch_Write_Stream_Result_Impl.

## Friends And Related Function Documentation

friend class ACE_POSIX_Asynch_Write_Stream `[friend]`

| Factory classes will have special privilages.

friend class ACE_POSIX_Proactor `[friend]`

| The Proactor constructs the Result class for faking results. Reimplemented in ACE_POSIX_Asynch_Write_File_Result.

## Member Data Documentation

ACE_Message_Block& ACE_POSIX_Asynch_Write_Stream_Result::message_block_ `[protected]`

| Message block that contains the data to be written.

The documentation for this class was generated from the following files:

- POSIX_Asynch_IO.h
- POSIX_Asynch_IO.cpp